
if(JDIM)
    find_package(JNI)

    if(JNI_FOUND)
        set_option(JDIM ON)
    elseif(NOT JDIM STREQUAL AUTO)
        message(SEND_ERROR "Failed to find Jni")
    else()
        unset(JAVA_AWT_INCLUDE_PATH)
        unset(JAVA_AWT_LIBRARY)
        unset(JAVA_INCLUDE_PATH)
        unset(JAVA_INCLUDE_PATH2)
        unset(JAVA_JVM_LIBRARY)
        set_option(JDIM OFF)
    endif()
endif()
